Bug 192584 - etc/yum/pluginconf.d/versionlock.list'
etc/yum/pluginconf.d/versionlock.list'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 04:48 EDT by Marcolux
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 16:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
etc/yum/pluginconf.d/versionlock.list' (1.41 KB, application/octet-stream)
2006-05-21 04:48 EDT, Marcolux
no flags Details
error (2.00 KB, application/octet-stream)
2006-09-08 18:42 EDT, Joe
no flags Details

  None (edit)
Description Marcolux 2006-05-21 04:48:24 EDT
Description of problem:
I tried to install new sofware when a message error came up
Component: Software Manager
Summary: TBfef41469 versionlock.py:45:exclude_hook:PluginYumExit: Unable to read
version lock configuration: [Errno 5] OSError: [Errno 2] No such file or
directory: ''/etc/yum/pluginconf.d/versionlock.list

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 390, in ?
    main()
  File "/usr/sbin/pirut", line 386, in main
    pm.run()
  File "/usr/sbin/pirut", line 299, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 310, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 154, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 299, in doSackSetup
    self.plugins.run('exclude')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 164, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/versionlock.py", line 45, in exclude_hook
    raise PluginYumExit('Unable to read version lock configuration: %s' % e)
PluginYumExit: Unable to read version lock configuration: [Errno 5] OSError:
[Errno 2] No such file or directory: '/etc/yum/pluginconf.d/versionlock.list'

Local variables in innermost frame:
conduit: <yum.plugins.MainPluginConduit instance at 0x2aaab4c52a70>
e: [Errno 5] OSError: [Errno 2] No such file or directory:
'/etc/yum/pluginconf.d/versionlock.list'
locklist: []
location: /etc/yum/pluginconf.d/versionlock.list

Could somebody helps me?
Thanks
Comment 1 Marcolux 2006-05-21 04:48:24 EDT
Created attachment 129777 [details]
etc/yum/pluginconf.d/versionlock.list'
Comment 2 Jeremy Katz 2006-05-22 13:07:17 EDT
Does /etc/yum/pluginconf.d/versionlock.list exist?
Comment 3 Joe 2006-09-08 18:42:13 EDT
Created attachment 135888 [details]
error
Comment 4 Joe 2006-09-08 18:43:38 EDT
(In reply to comment #2)
> Does /etc/yum/pluginconf.d/versionlock.list exist?

No the files does not exist for me, see the below attachment for my error.
Comment 5 Jeremy Katz 2006-09-18 16:43:22 EDT
This has been fixed in the yum-versionlock plugin

Note You need to log in before you can comment on or make changes to this bug.